import hiro.yoshioka.ast.sql.util.ASTFormatingInfo;
import hiro.yoshioka.ast.sql.util.StringFormat;

public class FmTester extends TestAbsAssistTester {

	public void testFrom00() {
		read("fmsel.txt");
		ASTFormatingInfo visitInfo = new ASTFormatingInfo(fSQL_Statement);
		visitInfo.col_num = 2;
		visitInfo.left = true;
		visitInfo.max_col_len=60;
		visitInfo.mode = StringFormat.MODE_AVG_LENGTH;
		fUtil.parse();
		

		System.out.println("----------------");
		System.out.println(visitInfo);
		System.out.println("----------------");
		System.out.println(fSQL_Statement);
		System.out.println("----------------");
		System.out.println(fUtil.getFormattedString(visitInfo));
		System.out.println("----------------------------------------");
	}

}